import org.kwis.msp.lcdui.Jlet;
import org.kwis.msp.lcdui.Display;

import org.kwis.msp.handset.*   ;
import org.kwis.msp.lwc.ShellComponent   ;
import org.kwis.msp.lwc.FormComponent   ;
import org.kwis.msp.lwc.LabelComponent;
import org.kwis.msp.lwc.ButtonComponent;

public class HandsetEx1 extends Jlet{

	Display displayLCD ;
	ShellComponent shell;	

	public HandsetEx1(){  
		displayLCD = Display.getDefaultDisplay();
		shell = new ShellComponent();
	}

	protected void startApp(String[] arg0){
		
		displayLCD = Display.getDefaultDisplay();
		FormComponent form = new FormComponent();

		ButtonComponent button1 = new ButtonComponent("Phone Model", null);
		LabelComponent label1 = new LabelComponent(HandsetProperty.getSystemProperty("PHONEMODEL"));

		form.addComponent(button1);
		form.addComponent(label1);


		ButtonComponent button2 = new ButtonComponent("Phone Number", null);
		LabelComponent label2 = new LabelComponent(HandsetProperty.getSystemProperty("PHONENUMBER"));

		form.addComponent(button2);
		form.addComponent(label2);

		ButtonComponent button3 = new ButtonComponent("Battery Level", null);
		LabelComponent label3 = new LabelComponent(HandsetProperty.getSystemProperty("BATTERYLEVEL"));

		form.addComponent(button3);
		form.addComponent(label3);


		shell.setTitle(" Handset Property");
		shell.setWorkComponent(form);

		shell.show();


		
	}
	protected void destroyApp(boolean arg0) {  }

	

}
